package ink.wgink.interfaces.user.mongo;

import ink.wgink.pojo.bos.LoginUser;

import java.util.List;

/**
 * @ClassName: IMongoLoginUserService
 * @Description: mongo登录用户服务
 * @Author: wanggeng
 * @Date: 2022/5/19 16:18
 * @Version: 1.0
 */
public interface IMongoLoginUserService {

    /**
     * 刷新mongo
     *
     * @param userId
     */
    void updateByUserId(String userId);

    /**
     * 刷新mongo
     *
     * @param userIds
     */
    void updateByUserIds(List<String> userIds);

    /**
     * 刷新mongo
     *
     * @param loginUsers
     */
    void update(List<LoginUser> loginUsers);

    /**
     * 刷新mongo
     *
     * @param loginUser
     */
    void update(LoginUser loginUser);

    /**
     * 删除
     *
     * @param userIds
     */
    void delete(List<String> userIds);

    /**
     * 用户详情
     *
     * @param userId
     * @return
     */
    LoginUser get(String userId);

    /**
     * 用户详情
     *
     * @param username
     * @return
     */
    LoginUser getByUsername(String username);

}
